<div>
  <h1 translate>commit.commits</h1>
  <form nz-form [nzLayout]="'inline'" [formGroup]="validateForm"> 

    <div nz-col nzSpan="12">
      <nz-form-item>
        <nz-form-label [nzSpan]="8" nzFor="email">Select</nz-form-label>
        <nz-form-control [nzSpan]="16" nzErrorTip="{{ 'commit.drop_email_error' | translate }}">
        <nz-select formControlName="email"  nzPlaceHolder="Select a option" [(ngModel)]="filter.email">
          <nz-option *ngFor="let option of listOfOption" [nzLabel]="option" [nzValue]="option"></nz-option>
        </nz-select>
        </nz-form-control>
      </nz-form-item>

      <nz-form-item>
        <nz-form-label [nzSpan]="8" nzFor="date">Datum</nz-form-label>
        <nz-form-control [nzSpan]="16" nzErrorTip="{{ 'commit.calendar_error' | translate }}">
          <nz-input-group nzPrefixIcon="">
            <nz-date-picker formControlName="date" [(ngModel)]="filter.date" (ngModelChange)="onDateChange($event)" nzPlaceHolder="{{ 'commit.calendar_place' | translate }}"></nz-date-picker>
          </nz-input-group>
        </nz-form-control>
      </nz-form-item>  
      
    </div>
    <nz-form-item>
      <nz-form-control>
        <button nz-button nzType="primary" [disabled]="!validateForm.valid" (click)="getAllCommits(true)">Filter</button>
        <button nz-button nzType="secondary" (click)="onResetFilter()">Reset filter</button>
      </nz-form-control>
    </nz-form-item>
  </form>
  
  <nz-table #basicTable [nzData]="data" [nzLoading]="isWorking">
    <thead>
      <tr>
        <th>{{ 'commit.title' | translate }}</th>
        <th>{{ 'commit.name' | translate }}</th>
        <th>{{ 'commit.email' | translate }}</th>
        <th>{{ 'commit.create' | translate }}</th>
        <th>{{ 'commit.message' | translate }}</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of basicTable.data">
        <td class="title">{{ data.title }}</td>
        <td class="name">{{ data.committer_name }}</td>
        <td class="email">{{ data.committer_email }}</td>
        <td class="created">{{ data.created_at | date:'dd.MM.yyyy, HH:mm:ss'}}</td>
        <td class="message">{{ data.message }}</td>
      </tr>
    </tbody>
  </nz-table>
  <textarea rows="4" nz-input [(ngModel)]="mess"></textarea>
</div>